## asterisk-espeak 0.1

=== Makefile ===
#
# Makefile for Asterisk espeak application
#

INSTALL=install
ASTLIBDIR=$(INSTALL_PREFIX)/usr/lib/asterisk
MODULES_DIR=$(ASTLIBDIR)/modules
ASTETCDIR=$(INSTALL_PREFIX)/etc/asterisk

CC=gcc
OPTIMIZE=-O2
DEBUG=-g

LIBS+=-lm -lespeak -lsndfile -lresample
CFLAGS+=-pipe -fPIC -Wall -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -D_REENTRANT -D_GNU_SOURCE

all: _all
	@echo " +-------- app_espeak Build Complete --------+"  
	@echo " + app_espeak has successfully been built,   +"  
	@echo " + and can be installed by running:          +"
	@echo " +                                           +"
	@echo " +               make install                +"  
	@echo " +-------------------------------------------+" 

_all: app_espeak.so

app_espeak.o: app_espeak.c
	$(CC) $(CFLAGS) $(DEBUG) $(OPTIMIZE) -c -o app_espeak.o app_espeak.c

app_espeak.so: app_espeak.o
	$(CC) -shared -Xlinker -x -o $@ $< $(LIBS)

clean:
	rm -f app_espeak.o app_espeak.so .*.d

install: _all
	$(INSTALL) -m 755 -d $(DESTDIR)$(MODULES_DIR)
	$(INSTALL) -m 755 app_espeak.so $(DESTDIR)$(MODULES_DIR)
	@echo " +---- app_espeak Installation Complete -----+"  
	@echo " +                                           +"
	@echo " + app_espeak has successfully been installed+"  
	@echo " + If you would like to install the sample   +"  
	@echo " + configuration file run:                   +"
	@echo " +                                           +"
	@echo " +              make samples                 +"
	@echo " +-------------------------------------------+"

samples:
	mkdir -p $(DESTDIR)$(ASTETCDIR)
	for x in *.sample; do \
		if [ -f $(DESTDIR)$(ASTETCDIR)/`basename $$x .sample` ]; then \
			if [ "$(OVERWRITE)" = "y" ]; then \
				if cmp -s $(DESTDIR)$(ASTETCDIR)/`basename $$x .sample` $$x ; then \
					echo "Config file $$x is unchanged"; \
					continue; \
				fi ; \
				mv -f $(DESTDIR)$(ASTETCDIR)/`basename $$x .sample` $(DESTDIR)$(ASTETCDIR)/`basename $$x .sample`.old ; \
			else \
				echo "Skipping config file $$x"; \
				continue; \
			fi ;\
		fi ; \
		$(INSTALL) -m 644 $$x $(DESTDIR)$(ASTETCDIR)/`basename $$x .sample` ;\
	done

ifneq ($(wildcard .*.d),)
   include .*.d
endif

=== debian/changelog ===
asterisk-espeak (0.1-1) unstable; urgency=low

  * Initial release. Closes: bug#574378.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Mar 2010 21:16:49 +0100

=== debian/control ===
Source: asterisk-espeak
Section: comm
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs, debhelper (>= 6), asterisk-dev (>= 1:1.6.2), asterisk-dev (<< 1:1.6.3), libespeak-dev (>= 1.41.01), libresample1-dev, libsndfile1-dev
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/collab-maint/asterisk-espeak.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/asterisk-espeak.git;a=summary
Homepage: http://zaf.github.com/Asterisk-eSpeak/

Package: asterisk-espeak
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, asterisk (>= 1:1.6.2), asterisk (<< 1:1.6.3)
Description: eSpeak module for Asterisk
 Module for the Asterisk open source PBX which allows you to use the
 eSpeak voice synthesis engine to render text to speech.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2009-2010 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Asterisk-eSpeak
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_upstream-tarball =

DEB_UPSTREAM_PACKAGE = Asterisk-eSpeak-1.6
DEB_UPSTREAM_URL = http://cloud.github.com/downloads/zaf/Asterisk-eSpeak
DEB_UPSTREAM_TARBALL_MD5 = 0936168335aa9b9a6ab83eeba36a48b8

# Install only as example file for now, due to odd asterisk configfile handling
DEB_INSTALL_EXAMPLES_asterisk-espeak += espeak.conf.sample
#binary-install/asterisk-espeak::
#	install -D -m 0644 espeak.conf.sample debian/$(cdbs_curpkg)/etc/asterisk/espeak.conf

DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(DEB_DESTDIR)

# Readd upstream CFLAGS
CFLAGS += -pipe -fPIC -Wall -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -D_REENTRANT -D_GNU_SOURCE

# Tighten dependency as recommended by upstream: leaked filedescriptor
# may cause asterisk crashes
binary-predeb/asterisk-espeak::
	perl -i -pe 's/(libespeak1 \(>= )1\.30\)/$${1}1.41.01)/' debian/asterisk-espeak.substvars

=== debian/watch ===
# Run the "uscan --report" command to check for upstream updates.
# (use get-orig-source build target to get source - see README.source)
version=3
http://zaf.github.com/Asterisk-eSpeak/ http://cloud.github.com/downloads/zaf/Asterisk-eSpeak/Asterisk-eSpeak-1\.6-(.*).tar.gz

## asterisk-espeak 2.1

=== Makefile ===
--- 
+++ 
@@ -1,17 +1,27 @@
 #
 # Makefile for Asterisk espeak application
+# Copyright (C) 2009 - 2011, Lefteris Zafiris
 #
+# This program is free software, distributed under the terms of
+# the GNU General Public License Version 2. See the COPYING file
+# at the top of the source tree.
 
 INSTALL=install
-ASTLIBDIR=$(INSTALL_PREFIX)/usr/lib/asterisk
-MODULES_DIR=$(ASTLIBDIR)/modules
+ASTLIBDIR:=$(shell awk '/moddir/{print $$3}' /etc/asterisk/asterisk.conf)
+ifeq ($(strip $(ASTLIBDIR)),)
+	MODULES_DIR=$(INSTALL_PREFIX)/usr/lib/asterisk/modules
+else
+	MODULES_DIR=$(INSTALL_PREFIX)$(ASTLIBDIR)
+endif
 ASTETCDIR=$(INSTALL_PREFIX)/etc/asterisk
+SAMPLENAME=espeak.conf.sample
+CONFNAME=$(basename $(SAMPLENAME))
 
 CC=gcc
 OPTIMIZE=-O2
 DEBUG=-g
 
-LIBS+=-lm -lespeak -lsndfile -lresample
+LIBS+=-lm -lespeak -lsndfile -lsamplerate
 CFLAGS+=-pipe -fPIC -Wall -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -D_REENTRANT -D_GNU_SOURCE
 
 all: _all
@@ -46,23 +56,11 @@
 	@echo " +-------------------------------------------+"
 
 samples:
-	mkdir -p $(DESTDIR)$(ASTETCDIR)
-	for x in *.sample; do \
-		if [ -f $(DESTDIR)$(ASTETCDIR)/`basename $$x .sample` ]; then \
-			if [ "$(OVERWRITE)" = "y" ]; then \
-				if cmp -s $(DESTDIR)$(ASTETCDIR)/`basename $$x .sample` $$x ; then \
-					echo "Config file $$x is unchanged"; \
-					continue; \
-				fi ; \
-				mv -f $(DESTDIR)$(ASTETCDIR)/`basename $$x .sample` $(DESTDIR)$(ASTETCDIR)/`basename $$x .sample`.old ; \
-			else \
-				echo "Skipping config file $$x"; \
-				continue; \
-			fi ;\
-		fi ; \
-		$(INSTALL) -m 644 $$x $(DESTDIR)$(ASTETCDIR)/`basename $$x .sample` ;\
-	done
+	@mkdir -p $(DESTDIR)$(ASTETCDIR)
+	@if [ -f $(DESTDIR)$(ASTETCDIR)/$(CONFNAME) ]; then \
+		echo "Backing up previous config file as $(CONFNAME).old";\
+		mv -f $(DESTDIR)$(ASTETCDIR)/$(CONFNAME) $(DESTDIR)$(ASTETCDIR)/$(CONFNAME).old ; \
+	fi ;
+	$(INSTALL) -m 644 $(SAMPLENAME) $(DESTDIR)$(ASTETCDIR)/$(CONFNAME)
+	@echo " ------- app_esepak confing Installed --------"
 
-ifneq ($(wildcard .*.d),)
-   include .*.d
-endif

=== debian/changelog ===
asterisk-espeak (2.1-1) unstable; urgency=low

  * New upstream release.

  * Update upstream URLs.
  * Update package releations:
    + Build-depend on libsamplerate-dev (not libresample1-dev),
      reflecting upstream change.
    + Relax to (build-)depend unversioned on asterisk: no longer tied to
      1.6 branch.
    + Relax to build-depend unversioned on debhelper: required version
      satisified even in oldstable.
    + Build-depend on dh-buildinfo.
    + Newline-delimit package relations.
    + Update CDBS suppression of optional build-dependencies.
  * Bump standards-version to 3.9.3.
  * Use anonscm.debian.org for Vcs-Browser field.
  * Bump debhelper compat level to 7.
  * Extend my copyright for Debian packaging.
  * Update copyright file:
    + Extend copyright years.
    + Rewrite using format 1.0.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Apr 2012 13:43:43 +0200

=== debian/control ===
Source: asterisk-espeak
Section: comm
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 debhelper,
 dh-buildinfo,
 asterisk-dev,
 libespeak-dev (>= 1.41.01),
 libsamplerate-dev,
 libsndfile1-dev
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/collab-maint/asterisk-espeak.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/asterisk-espeak.git
Homepage: http://zaf.github.com/Asterisk-eSpeak/

Package: asterisk-espeak
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 asterisk
Description: eSpeak module for Asterisk
 Module for the Asterisk open source PBX which allows you to use the
 eSpeak voice synthesis engine to render text to speech.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2009-2010 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2009, 2010, 2012 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for Asterisk-eSpeak
 #
 # This program is free software; you can redistribute it and/or
@@ -22,11 +22,13 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 # suppress optional build-dependencies
-CDBS_BUILD_DEPENDS_upstream-tarball =
+CDBS_BUILD_DEPENDS_rules_upstream-tarball =
+CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
 
-DEB_UPSTREAM_PACKAGE = Asterisk-eSpeak-1.6
-DEB_UPSTREAM_URL = http://cloud.github.com/downloads/zaf/Asterisk-eSpeak
-DEB_UPSTREAM_TARBALL_MD5 = 0936168335aa9b9a6ab83eeba36a48b8
+DEB_UPSTREAM_URL = http://githubredir.debian.net/github/zaf/Asterisk-eSpeak
+DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
+DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
+DEB_UPSTREAM_TARBALL_MD5 = 10dc5ef6f27a8b98c4024f5d8e33c2c7
 
 # Install only as example file for now, due to odd asterisk configfile handling
 DEB_INSTALL_EXAMPLES_asterisk-espeak += espeak.conf.sample

=== debian/watch ===
# Run the "uscan --report" command to check for upstream updates.
# (use get-orig-source build target to get source - see README.source)
version=3
http://githubredir.debian.net/github/zaf/Asterisk-eSpeak .*?(\d[^/]*).tar.gz

## asterisk-espeak 2.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Makefile for Asterisk espeak application
-# Copyright (C) 2009 - 2011, Lefteris Zafiris
+# Copyright (C) 2009 - 2015, Lefteris Zafiris
 #
 # This program is free software, distributed under the terms of
 # the GNU General Public License Version 2. See the COPYING file
@@ -21,16 +21,16 @@
 OPTIMIZE=-O2
 DEBUG=-g
 
-LIBS+=-lm -lespeak -lsndfile -lsamplerate
-CFLAGS+=-pipe -fPIC -Wall -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -D_REENTRANT -D_GNU_SOURCE
+LIBS+=-lespeak -lsndfile -lsamplerate
+CFLAGS+=-pipe -fPIC -Wall -Wextra -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -D_REENTRANT -D_GNU_SOURCE
 
 all: _all
-	@echo " +-------- app_espeak Build Complete --------+"  
-	@echo " + app_espeak has successfully been built,   +"  
+	@echo " +-------- app_espeak Build Complete --------+"
+	@echo " + app_espeak has successfully been built,   +"
 	@echo " + and can be installed by running:          +"
 	@echo " +                                           +"
-	@echo " +               make install                +"  
-	@echo " +-------------------------------------------+" 
+	@echo " +               make install                +"
+	@echo " +-------------------------------------------+"
 
 _all: app_espeak.so
 
@@ -46,10 +46,10 @@
 install: _all
 	$(INSTALL) -m 755 -d $(DESTDIR)$(MODULES_DIR)
 	$(INSTALL) -m 755 app_espeak.so $(DESTDIR)$(MODULES_DIR)
-	@echo " +---- app_espeak Installation Complete -----+"  
+	@echo " +---- app_espeak Installation Complete -----+"
 	@echo " +                                           +"
-	@echo " + app_espeak has successfully been installed+"  
-	@echo " + If you would like to install the sample   +"  
+	@echo " + app_espeak has successfully been installed+"
+	@echo " + If you would like to install the sample   +"
 	@echo " + configuration file run:                   +"
 	@echo " +                                           +"
 	@echo " +              make samples                 +"

=== debian/changelog ===
asterisk-espeak (2.2-2) unstable; urgency=medium

  * Update copyright info:
    + Use License-Grant and License-Reference fields.
    Thanks to Ben Finney.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Add lintian override regarding debhelper 9.
  * Simplfy abi resolving using awk.
  * Fix typo in 2.1+20141017-1 changelog entry.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 06 Oct 2015 21:55:31 +0200

asterisk-espeak (2.2-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update copyright file:
    + Extend coverage for upstream author.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 17 May 2015 21:27:11 +0200

asterisk-espeak (2.1+20141017-1) unstable; urgency=medium

  [ upstream ]
  * Git snapshot.
    + Remove unnecessary linking to math library.
    + Fix compatibility with asterisk 11.
      Closes: bug#725560. Thanks to David Suárez and upstream.
    + Minor code cleanups and fixes.
    + Remove headers unnecessary for asterisk 11.
    + Update README
    + Bump copyright years.
    + Better error handling in config file parsing.

  [ Jonas Smedegaard ]
  * Update copyright file:
    + Drop repetitive comment for license section GPL-2+.
    + Fix use pseudo-comment section to obey silly restrictions of
      copyright format 1.0.
    + Extend coverage for upstream author.
    + Extend coverage for myself.
    + Bump packaging license to GPL-3+.
  * Update README.source to emphasize that control.in file is *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Update Vcs-* field URLs.
  * Declare compliance with Debian Policy 3.9.6.
  * Update upstream source URLs in watch file and CDBS hints.
  * Bump debhelper compatibility level to 8.
  * Update package relations:
    + Relax to build-depend unversioned on libespeak-dev: Needed version
      satisfied even in oldstable.
    + Declare (build-)dependencies in rules file for CDBS to resolve.
    + Stop suppress optional CDBS build-dependency on devscripts.
    + Depend on virtual asterisk API package (or skip if not resolved,
      to ease backporting).
      Closes: bug#689109. Thanks to Jeremy Lainé.
  * Add patch 1001 to apply LDFLAGS to linker, licensed as GPL-2+.
  * Ease building with git-buildpackage: Git-ignore quilt .pc dir.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 17 May 2015 18:04:58 +0200

=== debian/control ===
Source: asterisk-espeak
Section: comm
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 devscripts,
 debhelper,
 dh-buildinfo,
 asterisk-dev,
 libespeak-dev,
 libsamplerate-dev,
 libsndfile1-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/asterisk-espeak.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/asterisk-espeak.git
Homepage: http://zaf.github.com/Asterisk-eSpeak/

Package: asterisk-espeak
Architecture: any
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Description: eSpeak module for Asterisk
 Module for the Asterisk open source PBX which allows you to use the
 eSpeak voice synthesis engine to render text to speech.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2009-2010, 2012-2013, 2015 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Asterisk-eSpeak
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = $(DEB_SOURCE_PACKAGE)

DEB_UPSTREAM_URL = https://github.com/zaf/Asterisk-eSpeak/archive
DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)

# Build-depend unversioned on debhelper
#  TODO: Drop when adopted in cdbs
CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper

# needed during build
bdeps = asterisk-dev, libespeak-dev, libsamplerate-dev, libsndfile1-dev

# needed (always) at runtime
depends = asterisk

# Depend on virtual asterisk API package (if resolved)
ASTERISK_ABI := $(shell awk -F'"' '/AST_BUILDOPT_SUM/ {print $$2}' /usr/include/asterisk/buildopts.h)
$(if $(ASTERISK_ABI),,$(call cdbs_warn,failed to resolve AST_BUILDOPT_SUM))
depends += $(ASTERISK_ABI:%=$(comma) asterisk-%)

CDBS_BUILD_DEPENDS +=, $(bdeps)
CDBS_DEPENDS_$(pkg) = $(depends)

# Install only as example file for now, due to odd asterisk configfile handling
DEB_INSTALL_EXAMPLES_asterisk-espeak += espeak.conf.sample
#binary-install/asterisk-espeak::
#	install -D -m 0644 espeak.conf.sample debian/$(cdbs_curpkg)/etc/asterisk/espeak.conf

DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(DEB_DESTDIR)

# Readd upstream CFLAGS
CFLAGS += -pipe -fPIC -Wall -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -D_REENTRANT -D_GNU_SOURCE

# Tighten dependency as recommended by upstream: leaked filedescriptor
# may cause asterisk crashes
binary-predeb/asterisk-espeak::
	perl -i -pe 's/(libespeak1 \(>= )1\.30\)/$${1}1.41.01)/' debian/asterisk-espeak.substvars

=== debian/watch ===
# Run the "uscan --report" command to check for upstream updates.
# (use get-orig-source build target to get source - see README.source)
version=3
https://github.com/zaf/Asterisk-eSpeak/tags .*/archive/v?(\d[\d.]+)\.tar\.gz

## asterisk-espeak 3.0

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 OPTIMIZE=-O2
 DEBUG=-g
 
-LIBS+=-lespeak -lsndfile -lsamplerate
+LIBS+=-lespeak -lsamplerate
 CFLAGS+=-pipe -fPIC -Wall -Wextra -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -D_REENTRANT -D_GNU_SOURCE
 
 all: _all

=== debian/changelog ===
asterisk-espeak (3.0-3) unstable; urgency=medium

  * Build-depend on libespeak-ng-libespeak-dev (not libespeak-dev).
  * Modernize CDBS use: Build-depend on licensecheck (not devscripts).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Dec 2016 19:58:30 +0100

asterisk-espeak (3.0-2) unstable; urgency=medium

  * Fix Vcs-* fields to reflect move to Debian VoIP team.
  * Declare compliance with Debian Policy 3.9.8.
  * Update watch file:
    + Bump file format to version 4.
    + Refine pattern based on documentation.
    + Mangle download filename.
    + Mention gbp in usage comment.
  * Drop CDBS get-orig-source target: Use "gbp import-orig --uscan"
    instead.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 May 2016 13:21:08 +0200

asterisk-espeak (3.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Removed the dependency to libsndfile.
    + Better error checking during espeak initialisation.
    + Better handling of temp files.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Extend coverage for main upstream author.
    + Extend copyright of packaging to cover current year.
  * Declare compliance with Debian Policy 3.9.7.
  * Modernize Vcs-Git field: Use https URL.
  * Move packaging to Debian VoIP team.
  * Consistently use https protocol for upstream URLs.
  * Stop build-depend on libsndfile1-dev.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Mar 2016 17:07:40 +0100

=== debian/control ===
Source: asterisk-espeak
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 licensecheck,
 debhelper,
 dh-buildinfo,
 asterisk-dev,
 libespeak-ng-libespeak-dev,
 libsamplerate-dev
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-voip/asterisk-espeak.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-voip/asterisk-espeak.git
Homepage: https://zaf.github.com/Asterisk-eSpeak/

Package: asterisk-espeak
Architecture: any
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Description: eSpeak module for Asterisk
 Module for the Asterisk open source PBX which allows you to use the
 eSpeak voice synthesis engine to render text to speech.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2009-2010, 2012-2013, 2015 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2009-2010, 2012-2013, 2015-2016 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for Asterisk-eSpeak
 #
 # This program is free software; you can redistribute it and/or modify
@@ -16,22 +16,14 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/makefile.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 pkg = $(DEB_SOURCE_PACKAGE)
 
-DEB_UPSTREAM_URL = https://github.com/zaf/Asterisk-eSpeak/archive
-DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
-
-# Build-depend unversioned on debhelper
-#  TODO: Drop when adopted in cdbs
-CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
-
 # needed during build
-bdeps = asterisk-dev, libespeak-dev, libsamplerate-dev, libsndfile1-dev
+bdeps = asterisk-dev, libespeak-ng-libespeak-dev, libsamplerate-dev
 
 # needed (always) at runtime
 depends = asterisk

## asterisk-espeak 4.0

=== Makefile ===
#
# Makefile for Asterisk espeak application
# Copyright (C) 2009 - 2016, Lefteris Zafiris
#
# This program is free software, distributed under the terms of
# the GNU General Public License Version 2. See the COPYING file
# at the top of the source tree.

ASTLIBDIR:=$(shell awk '/moddir/{print $$3}' /etc/asterisk/asterisk.conf 2> /dev/null)
ifeq ($(strip $(ASTLIBDIR)),)
	MODULES_DIR:=$(INSTALL_PREFIX)/usr/lib/asterisk/modules
else
	MODULES_DIR:=$(INSTALL_PREFIX)$(ASTLIBDIR)
endif
ASTETCDIR:=$(INSTALL_PREFIX)/etc/asterisk
SAMPLENAME:=espeak.conf.sample
CONFNAME:=$(basename $(SAMPLENAME))

INSTALL:=install
CC:=gcc
OPTIMIZE:=-O2
DEBUG:=-g

LIBS+=-lespeak -lsamplerate
CFLAGS+=-pipe -fPIC -Wall -Wextra -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -D_REENTRANT -D_GNU_SOURCE -DAST_MODULE_SELF_SYM=__internal_app_espeak_self

all: app_espeak.so
	@echo " +-------- app_espeak Build Complete --------+"
	@echo " + app_espeak has successfully been built,   +"
	@echo " + and can be installed by running:          +"
	@echo " +                                           +"
	@echo " +               make install                +"
	@echo " +-------------------------------------------+"

app_espeak.o: app_espeak.c
	$(CC) $(CFLAGS) $(DEBUG) $(OPTIMIZE) -c -o $@ $*.c

app_espeak.so: app_espeak.o
	$(CC) -shared -Xlinker -x -o $@ $< $(LIBS)

clean:
	rm -f app_espeak.o app_espeak.so

install: all
	$(INSTALL) -m 755 -d $(DESTDIR)$(MODULES_DIR)
	$(INSTALL) -m 755 app_espeak.so $(DESTDIR)$(MODULES_DIR)
	@echo " +---- app_espeak Installation Complete -----+"
	@echo " +                                           +"
	@echo " + app_espeak has successfully been installed+"
	@echo " + If you would like to install the sample   +"
	@echo " + configuration file run:                   +"
	@echo " +                                           +"
	@echo " +              make samples                 +"
	@echo " +-------------------------------------------+"

samples:
	@mkdir -p $(DESTDIR)$(ASTETCDIR)
	@if [ -f $(DESTDIR)$(ASTETCDIR)/$(CONFNAME) ]; then \
		echo "Backing up previous config file as $(CONFNAME).old";\
		mv -f $(DESTDIR)$(ASTETCDIR)/$(CONFNAME) $(DESTDIR)$(ASTETCDIR)/$(CONFNAME).old ; \
	fi ;
	$(INSTALL) -m 644 $(SAMPLENAME) $(DESTDIR)$(ASTETCDIR)/$(CONFNAME)
	@echo " ------- app_esepak confing Installed --------"

=== debian/changelog ===
asterisk-espeak (4.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Ease git-based maintenance: Add git-buildpackage configuration.
  * Modernize cdbs:
    + Do copyright-check in maintainer script (not during build).
      Stop build-depend on licensecheck.
  * Update copyright info:
    + Use https protocol in file format URL.
    + Extend coverage for myself.
  * Drop obsolete lintian override regarding debhelper 9.
  * Advertise DEP-3 format in patch header.
  * Unfuzz patch.
  * Modernize Vcs-* fields: Use git (not cgit) in path.
  * Declare compliance with Debian Policy 4.1.0.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 Aug 2017 10:53:00 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,14 @@
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
- licensecheck,
  debhelper,
  dh-buildinfo,
  asterisk-dev,
  libespeak-ng-libespeak-dev,
  libsamplerate-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-voip/asterisk-espeak.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-voip/asterisk-espeak.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-voip/asterisk-espeak.git
 Homepage: https://zaf.github.com/Asterisk-eSpeak/
 
 Package: asterisk-espeak

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2009-2010, 2012-2013, 2015-2016 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2009-2010, 2012-2013, 2015-2017 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for Asterisk-eSpeak
 #
 # This program is free software; you can redistribute it and/or modify
@@ -16,7 +16,6 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/makefile.mk
 include /usr/share/cdbs/1/rules/debhelper.mk

=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/zaf/Asterisk-eSpeak/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian

## asterisk-espeak 5.0~1

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 OPTIMIZE:=-O2
 DEBUG:=-g
 
-LIBS+=-lespeak -lsamplerate
+LIBS+=-lespeak-ng -lsamplerate
 CFLAGS+=-pipe -fPIC -Wall -Wextra -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -D_REENTRANT -D_GNU_SOURCE -DAST_MODULE_SELF_SYM=__internal_app_espeak_self
 
 all: app_espeak.so

=== debian/changelog ===
asterisk-espeak (5.0~1-3) unstable; urgency=medium

  * Team upload
  * Add autopkgtest to ensure the module can be loaded

 -- Bernhard Schmidt <berni@debian.org>  Mon, 21 Jan 2019 00:16:24 +0100

asterisk-espeak (5.0~1-2) unstable; urgency=medium

  * Team upload

  [ Jonas Smedegaard ]
  * Update copyright info: Fix source URLs.

  [ Bernhard Schmidt ]
  * Readd AST_MODULE_SELF_SYM upstream CFLAG (Closes: #919827)

 -- Bernhard Schmidt <berni@debian.org>  Sun, 20 Jan 2019 23:24:04 +0100

asterisk-espeak (5.0~1-1) unstable; urgency=medium

  [ upstream ]
  * New pre-release.
    + Now complies under asterisk 15
    + Use espeak-ng for speech synthesis

  [ Jonas Smedegaard ]
  * Update watch file:
    + Fix gpb/gbp typo in usage comment.
      Thanks to Cyril Brulebois.
    + Use substitution strings.
    + Mangle upstream release candidates.
  * Refactor to limit use of CDBS:
    + Stop auto-resolve build-dependencies when in CDBS maintainer mode.
  * Set Rules-Requires-Root: no.
  * Declare compliance with Debian Policy 4.2.1.
  * Update Vcs-* fields: Source hosted at Salsa.debian.org now.
  * Tighten lintian overrides regarding License-Reference.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Oct 2018 18:37:13 +0200

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,11 @@
  asterisk-dev,
  libespeak-ng-libespeak-dev,
  libsamplerate-dev
-Standards-Version: 4.1.0
-Vcs-Git: https://anonscm.debian.org/git/pkg-voip/asterisk-espeak.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-voip/asterisk-espeak.git
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/pkg-voip-team/asterisk-espeak.git
+Vcs-Browser: https://salsa.debian.org/pkg-voip-team/asterisk-espeak
 Homepage: https://zaf.github.com/Asterisk-eSpeak/
+Rules-Requires-Root: no
 
 Package: asterisk-espeak
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -21,9 +21,6 @@
 
 pkg = $(DEB_SOURCE_PACKAGE)
 
-# needed during build
-bdeps = asterisk-dev, libespeak-ng-libespeak-dev, libsamplerate-dev
-
 # needed (always) at runtime
 depends = asterisk
 
@@ -32,7 +29,6 @@
 $(if $(ASTERISK_ABI),,$(call cdbs_warn,failed to resolve AST_BUILDOPT_SUM))
 depends += $(ASTERISK_ABI:%=$(comma) asterisk-%)
 
-CDBS_BUILD_DEPENDS +=, $(bdeps)
 CDBS_DEPENDS_$(pkg) = $(depends)
 
 # Install only as example file for now, due to odd asterisk configfile handling
@@ -43,7 +39,7 @@
 DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(DEB_DESTDIR)
 
 # Readd upstream CFLAGS
-CFLAGS += -pipe -fPIC -Wall -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -D_REENTRANT -D_GNU_SOURCE
+CFLAGS += -pipe -fPIC -Wall -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -D_REENTRANT -D_GNU_SOURCE -DAST_MODULE_SELF_SYM=__internal_app_espeak_self
 
 # Tighten dependency as recommended by upstream: leaked filedescriptor
 # may cause asterisk crashes

=== debian/tests/control ===
Tests: module-loadable
Restrictions: needs-root, isolation-container
Depends: asterisk, asterisk-config, asterisk-espeak

=== debian/watch ===
# run "uscan --report" to check or "gbp import-orig --uscan" to update
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%,uversionmangle=s/-rc/~$1/" \
 https://github.com/zaf/Asterisk-eSpeak/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
